Last Comment Bug 830637 - Intermittent test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
: Intermittent test_timeouts.py TestTimeouts.test_pagetimeout_pass | Marionette...
Status: RESOLVED FIXED
: intermittent-failure
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla21
Assigned To: Ann(Yiming)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 22:19 PST by Phil Ringnalda (:philor)
Modified: 2013-04-02 11:43 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
fixPageTimeout (1.35 KB, patch)
2013-01-22 15:46 PST, Ann(Yiming)
jgriffin: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2013-01-14 22:19:39 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=18788083&tree=Firefox
Rev4 MacOSX Lion 10.7 mozilla-central debug test marionette on 2013-01-14 11:53:45 PST for push b72d2af170aa
slave: talos-r4-lion-033

11:57:40     INFO -  ERROR: test_pagetimeout_pass (test_timeouts.TestTimeouts)
11:57:40     INFO -  ----------------------------------------------------------------------
11:57:40    ERROR -  Traceback (most recent call last):
11:57:40     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/tests/testing/marionette/client/marionette/tests/unit/test_timeouts.py", line 23, in test_pagetimeout_pass
11:57:40     INFO -      self.marionette.navigate(test_html)
11:57:40     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/marionette.py", line 389, in navigate
11:57:40     INFO -      response = self._send_message('goUrl', 'ok', value=url)
11:57:40     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/marionette.py", line 225, in _send_message
11:57:40     INFO -      self._handle_error(response)
11:57:40     INFO -    File "/Users/cltbld/talos-slave/test/build/tests/marionette/marionette/marionette.py", line 256, in _handle_error
11:57:40     INFO -      raise MarionetteException(message=message, status=status, stacktrace=stacktrace)
11:57:40     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
11:57:40     INFO -  ----------------------------------------------------------------------
11:57:40     INFO -  Ran 8 tests in 19.874s
11:57:40    ERROR -  FAILED (errors=1)
Comment 2 Treeherder Robot 2013-01-16 21:29:10 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18879982&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test marionette on 2013-01-16 21:10:35
slave: talos-r4-lion-016

21:15:53    ERROR -  Traceback (most recent call last):
21:15:53     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
21:15:53    ERROR -  FAILED (errors=1)
21:16:28    ERROR - Return code: 10
Comment 3 Treeherder Robot 2013-01-17 15:07:53 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18902557&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test marionette on 2013-01-17 14:24:45
slave: talos-r4-lion-004

14:28:43    ERROR -  Traceback (most recent call last):
14:28:43     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
14:28:43    ERROR -  FAILED (errors=1)
14:29:20    ERROR - Return code: 10
Comment 4 Treeherder Robot 2013-01-18 07:28:09 PST
graememcc_firefox%graeme-online.co.uk
https://tbpl.mozilla.org/php/getParsedLog.php?id=18925321&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test marionette on 2013-01-18 07:14:50
slave: talos-r3-fed64-004

07:20:15    ERROR -  Traceback (most recent call last):
07:20:15     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
07:20:15    ERROR -  FAILED (errors=1)
07:20:55    ERROR - Return code: 10
Comment 5 Treeherder Robot 2013-01-18 15:50:46 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18941098&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test marionette on 2013-01-18 15:37:51
slave: talos-r4-lion-015

15:42:04    ERROR -  Traceback (most recent call last):
15:42:04     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
15:42:04    ERROR -  FAILED (errors=1)
15:42:41    ERROR - Return code: 10
Comment 6 Treeherder Robot 2013-01-18 21:56:15 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18950776&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test marionette on 2013-01-18 21:48:17
slave: talos-r4-lion-014

21:51:52    ERROR -  Traceback (most recent call last):
21:51:52     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
21:51:52    ERROR -  FAILED (errors=1)
21:52:27    ERROR - Return code: 10
Comment 7 Treeherder Robot 2013-01-19 08:54:36 PST
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=18959599&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test marionette on 2013-01-19 08:38:14
slave: talos-r3-fed64-057

08:41:29    ERROR -  Traceback (most recent call last):
08:41:29     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
08:41:29    ERROR -  FAILED (errors=1)
08:42:12    ERROR - Return code: 10
Comment 8 Treeherder Robot 2013-01-20 17:57:49 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18978916&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test marionette on 2013-01-20 17:46:29
slave: talos-r4-lion-018

17:50:15    ERROR -  Traceback (most recent call last):
17:50:15     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
17:50:15    ERROR -  FAILED (errors=1)
17:50:51    ERROR - Return code: 10
Comment 9 Treeherder Robot 2013-01-21 01:13:46 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18982074&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test marionette on 2013-01-21 00:57:30
slave: talos-r4-lion-065

01:01:05    ERROR -  Traceback (most recent call last):
01:01:05     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
01:01:05    ERROR -  FAILED (errors=1)
01:01:41    ERROR - Return code: 10
Comment 10 Treeherder Robot 2013-01-21 04:18:52 PST
mounir
https://tbpl.mozilla.org/php/getParsedLog.php?id=18984477&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test marionette on 2013-01-21 03:55:26
slave: talos-r3-fed64-037

03:58:43    ERROR -  Traceback (most recent call last):
03:58:43     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
03:58:43    ERROR -  FAILED (errors=1)
03:59:26    ERROR - Return code: 10
Comment 11 Treeherder Robot 2013-01-21 16:06:13 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=18999431&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test marionette on 2013-01-21 15:50:04
slave: talos-r3-fed64-008

15:53:18    ERROR -  Traceback (most recent call last):
15:53:18     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
15:53:18    ERROR -  FAILED (errors=1)
15:54:01    ERROR - Return code: 10
Comment 12 Treeherder Robot 2013-01-21 23:18:34 PST
vporof
https://tbpl.mozilla.org/php/getParsedLog.php?id=18998163&tree=Fx-Team
Rev4 MacOSX Lion 10.7 fx-team debug test marionette on 2013-01-21 15:14:20
slave: talos-r4-lion-050

15:18:56    ERROR -  Traceback (most recent call last):
15:18:56     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
15:18:56    ERROR -  FAILED (errors=1)
15:19:32    ERROR - Return code: 10
Comment 13 Treeherder Robot 2013-01-22 10:33:41 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=19017808&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test marionette on 2013-01-22 09:34:34
slave: talos-r3-fed64-065

09:40:45    ERROR -  Traceback (most recent call last):
09:40:45     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
09:40:45    ERROR -  FAILED (errors=1)
09:41:27    ERROR - Return code: 10
Comment 14 Jonathan Griffin (:jgriffin) 2013-01-22 10:57:41 PST
Yiming, I'm guessing that this problem occurs because the 300ms timeout allowed in test_pagetimeout_pass isn't always enough for the page to be loaded.  Can you make a patch that increases this timeout to several seconds?
Comment 15 Treeherder Robot 2013-01-22 14:38:49 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=19027114&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test marionette on 2013-01-22 14:18:53
slave: talos-r4-lion-066

14:22:48    ERROR -  Traceback (most recent call last):
14:22:48     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
14:22:48    ERROR -  FAILED (errors=1)
14:23:24    ERROR - Return code: 10
Comment 16 Ann(Yiming) 2013-01-22 15:46:33 PST
Created attachment 705145 [details] [diff] [review]
fixPageTimeout
Comment 17 Jonathan Griffin (:jgriffin) 2013-01-22 15:54:48 PST
Comment on attachment 705145 [details] [diff] [review]
fixPageTimeout

Review of attachment 705145 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks, I'll go ahead and land this.
Comment 18 Jonathan Griffin (:jgriffin) 2013-01-22 16:20:31 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/514941e1887a
Comment 19 Ryan VanderMeulen [:RyanVM] 2013-01-23 08:39:16 PST
https://hg.mozilla.org/mozilla-central/rev/514941e1887a
Comment 20 Treeherder Robot 2013-03-27 04:28:54 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=21139567&tree=Mozilla-B2g18
Rev4 MacOSX Snow Leopard 10.6 mozilla-b2g18 debug test marionette on 2013-03-26 20:24:41
slave: talos-r4-snow-055

20:27:58     INFO -  TEST-UNEXPECTED-FAIL | test_timeouts.py TestTimeouts.test_pagetimeout_pass | MarionetteException: Error loading page
20:28:27    ERROR - Return code: 10
Comment 21 Malini Das [:mdas] - Away, not checking bugmail 2013-04-02 11:43:16 PDT
https://hg.mozilla.org/releases/mozilla-b2g18/pushloghtml?changeset=71f7f42dee13

Note You need to log in before you can comment on or make changes to this bug.